export default class ParseArgs {
    private readonly tokens;
    private constructor();
    static readonly create: (tokens: ReadonlyArray<string>) => ParseArgs;
    private static readonly checkPackageName;
    private static readonly purifyTokens;
    private readonly unifyAssignment;
    readonly asVersion: () => {
        readonly proceed: false;
        readonly value?: undefined;
    } | {
        readonly proceed: true;
        readonly value: "1.5.4";
    };
    readonly asHelp: () => {
        readonly proceed: false;
        readonly guide?: undefined;
    } | {
        readonly proceed: true;
        readonly guide: string;
    };
    readonly asOperation: () => {
        readonly dir: string;
        readonly include: string[] | undefined;
        readonly showChanges: boolean | undefined;
    };
}
type TrueConfig = ReturnType<ParseArgs['asOperation']>;
type PartialConfig = Partial<Omit<TrueConfig, 'dir'>> & Pick<TrueConfig, 'dir'>;
export type { TrueConfig, PartialConfig };
